aboutsummaryrefslogtreecommitdiffstats
path: root/mandriva/90speedboot.xsetup
diff options
context:
space:
mode:
Diffstat (limited to 'mandriva/90speedboot.xsetup')
-rwxr-xr-xmandriva/90speedboot.xsetup22
1 files changed, 22 insertions, 0 deletions
diff --git a/mandriva/90speedboot.xsetup b/mandriva/90speedboot.xsetup
new file mode 100755
index 00000000..cb1aed0c
--- /dev/null
+++ b/mandriva/90speedboot.xsetup
@@ -0,0 +1,22 @@
+#!/bin/sh
+# (c) 2005-2009 Mandriva SA
+# to be sourced
+
+uname_r=`uname -r`
+FILE=/var/lib/speedboot/status
+if [ -f /dev/.in_sysinit ]; then
+ REASON="OK"
+ SPEEDBOOT=yes
+else
+ REASON="STANDARD BOOT"
+fi
+
+grep -q $uname_r $FILE 2>/dev/null
+RETVAL=$?
+if [ $RETVAL -eq 0 ]; then
+ if [ "x$SPEEDBOOT" = "xyes" ]; then
+ sed -i -e "s/$uname_r .*/$uname_r $REASON/" $FILE
+ fi
+else
+ echo $uname_r $REASON>> $FILE
+fi